Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fca5::/16
First address
fca5::
Last address
fca5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fca5:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
5.a.c.f.ip6.arpa
Split into smaller subnets/24

fca5::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fca5::/24fca5:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fca5:100::/24fca5:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fca5:200::/24fca5:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fca5:300::/24fca5:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fca5:400::/24fca5:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fca5:500::/24fca5:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fca5:600::/24fca5:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fca5:700::/24fca5:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fca5:800::/24fca5:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fca5:900::/24fca5:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fca5:a00::/24fca5:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fca5:b00::/24fca5:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fca5:c00::/24fca5:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fca5:d00::/24fca5:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fca5:e00::/24fca5:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fca5:f00::/24fca5:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fca5:1000::/24fca5:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fca5:1100::/24fca5:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fca5:1200::/24fca5:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fca5:1300::/24fca5:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fca5:1400::/24fca5:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fca5:1500::/24fca5:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fca5:1600::/24fca5:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fca5:1700::/24fca5:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fca5:1800::/24fca5:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fca5:1900::/24fca5:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fca5:1a00::/24fca5:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fca5:1b00::/24fca5:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fca5:1c00::/24fca5:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fca5:1d00::/24fca5:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fca5:1e00::/24fca5:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fca5:1f00::/24fca5:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fca5:2000::/24fca5:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fca5:2100::/24fca5:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fca5:2200::/24fca5:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fca5:2300::/24fca5:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fca5:2400::/24fca5:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fca5:2500::/24fca5:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fca5:2600::/24fca5:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fca5:2700::/24fca5:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fca5:2800::/24fca5:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fca5:2900::/24fca5:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fca5:2a00::/24fca5:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fca5:2b00::/24fca5:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fca5:2c00::/24fca5:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fca5:2d00::/24fca5:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fca5:2e00::/24fca5:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fca5:2f00::/24fca5:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fca5:3000::/24fca5:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fca5:3100::/24fca5:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fca5:3200::/24fca5:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fca5:3300::/24fca5:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fca5:3400::/24fca5:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fca5:3500::/24fca5:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fca5:3600::/24fca5:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fca5:3700::/24fca5:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fca5:3800::/24fca5:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fca5:3900::/24fca5:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fca5:3a00::/24fca5:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fca5:3b00::/24fca5:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fca5:3c00::/24fca5:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fca5:3d00::/24fca5:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fca5:3e00::/24fca5:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fca5:3f00::/24fca5:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fca5:4000::/24fca5:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fca5:4100::/24fca5:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fca5:4200::/24fca5:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fca5:4300::/24fca5:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fca5:4400::/24fca5:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fca5:4500::/24fca5:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fca5:4600::/24fca5:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fca5:4700::/24fca5:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fca5:4800::/24fca5:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fca5:4900::/24fca5:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fca5:4a00::/24fca5:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fca5:4b00::/24fca5:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fca5:4c00::/24fca5:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fca5:4d00::/24fca5:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fca5:4e00::/24fca5:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fca5:4f00::/24fca5:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fca5:5000::/24fca5:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fca5:5100::/24fca5:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fca5:5200::/24fca5:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fca5:5300::/24fca5:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fca5:5400::/24fca5:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fca5:5500::/24fca5:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fca5:5600::/24fca5:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fca5:5700::/24fca5:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fca5:5800::/24fca5:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fca5:5900::/24fca5:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fca5:5a00::/24fca5:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fca5:5b00::/24fca5:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fca5:5c00::/24fca5:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fca5:5d00::/24fca5:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fca5:5e00::/24fca5:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fca5:5f00::/24fca5:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fca5:6000::/24fca5:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fca5:6100::/24fca5:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fca5:6200::/24fca5:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fca5:6300::/24fca5:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fca5:6400::/24fca5:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fca5:6500::/24fca5:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fca5:6600::/24fca5:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fca5:6700::/24fca5:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fca5:6800::/24fca5:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fca5:6900::/24fca5:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fca5:6a00::/24fca5:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fca5:6b00::/24fca5:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fca5:6c00::/24fca5:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fca5:6d00::/24fca5:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fca5:6e00::/24fca5:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fca5:6f00::/24fca5:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fca5:7000::/24fca5:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fca5:7100::/24fca5:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fca5:7200::/24fca5:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fca5:7300::/24fca5:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fca5:7400::/24fca5:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fca5:7500::/24fca5:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fca5:7600::/24fca5:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fca5:7700::/24fca5:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fca5:7800::/24fca5:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fca5:7900::/24fca5:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fca5:7a00::/24fca5:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fca5:7b00::/24fca5:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fca5:7c00::/24fca5:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fca5:7d00::/24fca5:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fca5:7e00::/24fca5:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fca5:7f00::/24fca5:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fca5:8000::/24fca5:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fca5:8100::/24fca5:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fca5:8200::/24fca5:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fca5:8300::/24fca5:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fca5:8400::/24fca5:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fca5:8500::/24fca5:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fca5:8600::/24fca5:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fca5:8700::/24fca5:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fca5:8800::/24fca5:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fca5:8900::/24fca5:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fca5:8a00::/24fca5:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fca5:8b00::/24fca5:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fca5:8c00::/24fca5:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fca5:8d00::/24fca5:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fca5:8e00::/24fca5:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fca5:8f00::/24fca5:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fca5:9000::/24fca5:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fca5:9100::/24fca5:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fca5:9200::/24fca5:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fca5:9300::/24fca5:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fca5:9400::/24fca5:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fca5:9500::/24fca5:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fca5:9600::/24fca5:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fca5:9700::/24fca5:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fca5:9800::/24fca5:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fca5:9900::/24fca5:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fca5:9a00::/24fca5:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fca5:9b00::/24fca5:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fca5:9c00::/24fca5:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fca5:9d00::/24fca5:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fca5:9e00::/24fca5:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fca5:9f00::/24fca5:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fca5:a000::/24fca5:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fca5:a100::/24fca5:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fca5:a200::/24fca5:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fca5:a300::/24fca5:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fca5:a400::/24fca5:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fca5:a500::/24fca5:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fca5:a600::/24fca5:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fca5:a700::/24fca5:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fca5:a800::/24fca5:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fca5:a900::/24fca5:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fca5:aa00::/24fca5:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fca5:ab00::/24fca5:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fca5:ac00::/24fca5:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fca5:ad00::/24fca5:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fca5:ae00::/24fca5:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fca5:af00::/24fca5:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fca5:b000::/24fca5:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fca5:b100::/24fca5:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fca5:b200::/24fca5:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fca5:b300::/24fca5:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fca5:b400::/24fca5:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fca5:b500::/24fca5:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fca5:b600::/24fca5:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fca5:b700::/24fca5:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fca5:b800::/24fca5:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fca5:b900::/24fca5:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fca5:ba00::/24fca5:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fca5:bb00::/24fca5:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fca5:bc00::/24fca5:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fca5:bd00::/24fca5:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fca5:be00::/24fca5:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fca5:bf00::/24fca5:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fca5:c000::/24fca5:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fca5:c100::/24fca5:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fca5:c200::/24fca5:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fca5:c300::/24fca5:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fca5:c400::/24fca5:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fca5:c500::/24fca5:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fca5:c600::/24fca5:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fca5:c700::/24fca5:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fca5:c800::/24fca5:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fca5:c900::/24fca5:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fca5:ca00::/24fca5:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fca5:cb00::/24fca5:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fca5:cc00::/24fca5:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fca5:cd00::/24fca5:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fca5:ce00::/24fca5:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fca5:cf00::/24fca5:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fca5:d000::/24fca5:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fca5:d100::/24fca5:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fca5:d200::/24fca5:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fca5:d300::/24fca5:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fca5:d400::/24fca5:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fca5:d500::/24fca5:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fca5:d600::/24fca5:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fca5:d700::/24fca5:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fca5:d800::/24fca5:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fca5:d900::/24fca5:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fca5:da00::/24fca5:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fca5:db00::/24fca5:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fca5:dc00::/24fca5:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fca5:dd00::/24fca5:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fca5:de00::/24fca5:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fca5:df00::/24fca5:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fca5:e000::/24fca5:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fca5:e100::/24fca5:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fca5:e200::/24fca5:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fca5:e300::/24fca5:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fca5:e400::/24fca5:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fca5:e500::/24fca5:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fca5:e600::/24fca5:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fca5:e700::/24fca5:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fca5:e800::/24fca5:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fca5:e900::/24fca5:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fca5:ea00::/24fca5:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fca5:eb00::/24fca5:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fca5:ec00::/24fca5:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fca5:ed00::/24fca5:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fca5:ee00::/24fca5:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fca5:ef00::/24fca5:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fca5:f000::/24fca5:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fca5:f100::/24fca5:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fca5:f200::/24fca5:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fca5:f300::/24fca5:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fca5:f400::/24fca5:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fca5:f500::/24fca5:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fca5:f600::/24fca5:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fca5:f700::/24fca5:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fca5:f800::/24fca5:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fca5:f900::/24fca5:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fca5:fa00::/24fca5:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fca5:fb00::/24fca5:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fca5:fc00::/24fca5:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fca5:fd00::/24fca5:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fca5:fe00::/24fca5:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fca5:ff00::/24fca5:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses